<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

  <meta http-equiv="content-type" content="text/html; charset=utf-8"/>

  <title>Artistas</title>

  <script type="text/javascript" src="http://www.google.com/jsapi"></script>

  <script type="text/javascript">
    google.load('visualization', '1');
  </script>

  <script type="text/javascript">

    var site    = 'http://spreadsheets.google.com/'
    var prefix  = '0AlS2XPJdMC8xd';
    var key     = 'DVkSFluS2JZMl9qQVVPTkp4bEhIbkE';
    var plan    = site + 'ccc?key=' + prefix + key;
    var query   = new google.visualization.Query(site + 'tq?pub=0&key=' + prefix + key);
    var options = { showLineNumber:true }

    var myvisualization = {};				// namespace, implemented as a global variable

    google.setOnLoadCallback(sendAndDraw);



    myvisualization.MyTable = function(container)
    /*
       MyTable class constructor
       PARAMETERS
         container: the HTML element where the visualization will be rendered in
    */
    {
      this.containerElement = container;		// stores the container HTML element
    }



    myvisualization.MyTable.prototype.draw = function(data, options)
    /*
       MyTable.draw() method
       PARAMETERS
         data: The google.visualization.DataTable to display
         options: name/value map of options
                  You should document the specific options your visualization supports
                  This visualization support only "showLineNumber" boolean option
    */
    {

      var HEADERBUG      = 1;	// http://www.mail-archive.com/google-visualization-api@googlegroups.com/msg01337.html
      var showLineNumber = options && options.showLineNumber;	// showLineNumber boolean option
      var html           = [];

      html.push('<table border="1">');

      // header row
      html.push('<tr>');
      if (showLineNumber) html.push('<th>#</th>');
      for (var col = 0; col < data.getNumberOfColumns()-HEADERBUG; col++)
      {
        html.push('<th>' + this.escapeHtml(data.getColumnLabel(col)) + '</th>');
      }
      html.push('</tr>');

      // other rows
      for (var row = 0; row < data.getNumberOfRows(); row++)
      {
        html.push('<tr>');
        if (showLineNumber) html.push('<td align="right">', (row + 1), '</td>');
        for (var col = 0; col < data.getNumberOfColumns()-HEADERBUG; col++)
        {
          html.push(data.getColumnType(col) == 'number' ? '<td align="right">' : '<td>');
          html.push(this.escapeHtml(data.getFormattedValue(row, col)));
          html.push('</td>');
        }
        html.push('</tr>');
      }

      html.push('</table>');

      this.containerElement.innerHTML = html.join('');

    }



    // helper function
    myvisualization.MyTable.prototype.escapeHtml = function(text)
    {
      if (text == null) return '';
      return text.replace(/&/g, '&')
                 .replace(/</g, '<')
                 .replace(/>/g, '>')
                 .replace(/"/g, '"');
    }



    function sendAndDraw()
    {
      query.send(handleQueryResponse);		// send the query with a callback function
    }



    // usage of the visualization
    function handleQueryResponse(response)
    {

      if (response.isError())
      {
        alert('Error in query:\n\n' + response.getMessage() + '\n' + response.getDetailedMessage());
        return;
      }

      data = response.getDataTable();

      // Instantiate our table object without line numbers
      var table = new myvisualization.MyTable(document.getElementById('output'));

      // Draw our table with the data we created locally
      table.draw(data,options);

    }

  </script>

</head>

<body>

<div id="output"></div>

</body>

</html>
